#
# twig Spec File
#
Summary: IMAP capable intranet/groupware tool and application framework
Name: twig
Version: 2.0.1
Release: 1
Copyright: GPL
Group: Applications/Productivity
URL: http://twig.screwdriver.net/
Source: http://twig.screwdriver.net/download/twig-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root

%description
TWIG is a intranet/groupware tool and application framework. It is written and implemented completely with the PHP programming language. The authors' intention is that it become a simple, cross-platform, fast, and browser-independant way to access or share almost any kind of information, without the complexity or costs of other intranet/groupware packages. 

Because of the modular design of TWIG, it is fairly simple to add new features very rapidly. Here are the main features that TWIG currently supports: 
E-Mail (via IMAP) 
Contact Manager 
Scheduling 
Usenet Newsgroups 
Todo Lists 
Bookmarks 

Please note that you must have PHP running on your web server with IMAP support
built in, along with any database connectivity you may want. 

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/httpd
%setup
%build
gzip -9 CHANGELOG COPYING CREDITS FAQ INSTALL README TODO
gzip -9 docs/*.txt

%install
sh twig-install $RPM_BUILD_ROOT/home/httpd/twig
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/admin/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/admin/modules/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/admin/users/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/bookmarks/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/contacts/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/contacts/import.defs/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/groups/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/logout/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/mail/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/main/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/news/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/prefs/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/prefs/modules/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/schedule/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/shared/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/features/todo/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/images/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/config/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/lib/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/lib/auth/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/lib/db/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/lib/db/sqltxt/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/lib/db/sqltxt/dbf/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/lib/login/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/lib/security/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/lib/session/CVS
rm -rf $RPM_BUILD_ROOT/home/httpd/twig/lib/strings/CVS
rm -rf $RPM_BUILD_ROOT/usr/share/doc/packages/twig-2beta3/AdminManual/CVS
rm -rf docs/CVS
rm -rf docs/AdminManual/CVS
rm -rf docs/AdminManual/config/CVS
rm -rf docs/AdminManual/features/CVS
rm -rf docs/AdminManual/images/CVS
rm -rf docs/AdminManual/notes/CVS

%files
%doc %attr (-,root,root) CHANGELOG.gz COPYING.gz CREDITS.gz FAQ.gz INSTALL.gz README.gz TODO.gz
%doc %attr (-,root,root) docs/*.txt.gz docs/AdminManual
/home/httpd/twig

%clean
#rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 1 1999 Roger Luethi <rluethi@turbolinux.com>
- update to 2.0.1

* Wed Oct 27 1999 Roger Luethi <rluethi@turbolinux.com>
- update to 2.0.0, gzipped documentation

* Tue Oct 19 1999 Roger Luethi <rluethi@turbolinux.com>
- Initial Release: 2beta3
